sinks=$(pactl --format json list sinks | jq '.[].description' | sed 's/"//g')

ids=$(pactl --format json list sinks | jq '.[].index')

a=$(printf '%s\n' "${sinks[@]}" | fuzzel --cache /dev/null --dmenu --index --minimal-lines --placeholder "Switch audio source: " -I)

if [ -n "$a" ]; then
  pactl set-default-sink ${ids[a]}
fi
